diff -aruN --binary 15/libraries/joomla/application/module/helper.php 16/libraries/joomla/application/module/helper.php
--- 15/libraries/joomla/application/module/helper.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/application/module/helper.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: helper.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: helper.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/application/pathway.php 16/libraries/joomla/application/pathway.php
--- 15/libraries/joomla/application/pathway.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/application/pathway.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: pathway.php 13354 2009-10-28 02:05:38Z ian $
+* @version		$Id: pathway.php 14997 2010-02-22 23:27:02Z ian $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -206,7 +206,11 @@
 	function _makeItem($name, $link)
 	{
 		$item = new stdClass();
-		$item->name = html_entity_decode($name, ENT_COMPAT, 'UTF-8');
+		if((version_compare( phpversion(), '5.0' ) < 0)) {
+			$item->name = html_entity_decode($name);
+		} else {
+			$item->name = html_entity_decode($name, ENT_COMPAT, 'UTF-8');
+		}
 		$item->link = $link;
 
 		return $item;
diff -aruN --binary 15/libraries/joomla/application/router.php 16/libraries/joomla/application/router.php
--- 15/libraries/joomla/application/router.php	2009-05-29 13:54:26.000000000 +0200
+++ 16/libraries/joomla/application/router.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:router.php 8876 2007-09-13 22:54:03Z jinx $
 * @package		Joomla.Framework
 * @subpackage	Application
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/base/object.php 16/libraries/joomla/base/object.php
--- 15/libraries/joomla/base/object.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/base/object.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: object.php 13341 2009-10-27 03:03:54Z ian $
+ * @version		$Id: object.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Base
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/base/observable.php 16/libraries/joomla/base/observable.php
--- 15/libraries/joomla/base/observable.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/base/observable.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:observer.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Base
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/base/observer.php 16/libraries/joomla/base/observer.php
--- 15/libraries/joomla/base/observer.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/base/observer.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:observer.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Base
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/base/tree.php 16/libraries/joomla/base/tree.php
--- 15/libraries/joomla/base/tree.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/base/tree.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
  * @version		$Id:tree.php 6961 2007-03-15 16:06:53Z tcp $
  * @package		Joomla.Framework
  * @subpackage	Base
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/cache/cache.php 16/libraries/joomla/cache/cache.php
--- 15/libraries/joomla/cache/cache.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/cache/cache.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: cache.php 12694 2009-09-11 21:03:02Z ian $
+ * @version		$Id: cache.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Cache
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/cache/handler/callback.php 16/libraries/joomla/cache/handler/callback.php
--- 15/libraries/joomla/cache/handler/callback.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/handler/callback.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: callback.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: callback.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Cache
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/handler/output.php 16/libraries/joomla/cache/handler/output.php
--- 15/libraries/joomla/cache/handler/output.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/handler/output.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: output.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: output.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Cache
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/handler/page.php 16/libraries/joomla/cache/handler/page.php
--- 15/libraries/joomla/cache/handler/page.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/handler/page.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: page.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: page.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Cache
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/handler/view.php 16/libraries/joomla/cache/handler/view.php
--- 15/libraries/joomla/cache/handler/view.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/handler/view.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: view.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: view.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Cache
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/storage/apc.php 16/libraries/joomla/cache/storage/apc.php
--- 15/libraries/joomla/cache/storage/apc.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/storage/apc.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: apc.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: apc.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Cache
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/storage/eaccelerator.php 16/libraries/joomla/cache/storage/eaccelerator.php
--- 15/libraries/joomla/cache/storage/eaccelerator.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/storage/eaccelerator.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: eaccelerator.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: eaccelerator.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Cache
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/storage/file.php 16/libraries/joomla/cache/storage/file.php
--- 15/libraries/joomla/cache/storage/file.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/storage/file.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: file.php 11393 2009-01-05 02:11:06Z ian $
+ * @version		$Id: file.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Cache
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/storage/memcache.php 16/libraries/joomla/cache/storage/memcache.php
--- 15/libraries/joomla/cache/storage/memcache.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/storage/memcache.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: memcache.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: memcache.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Cache
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/storage/xcache.php 16/libraries/joomla/cache/storage/xcache.php
--- 15/libraries/joomla/cache/storage/xcache.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/storage/xcache.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
  * @version		$id:$
  * @package		Joomla.Framework
  * @subpackage	Cache
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/cache/storage.php 16/libraries/joomla/cache/storage.php
--- 15/libraries/joomla/cache/storage.php	2009-05-29 13:54:24.000000000 +0200
+++ 16/libraries/joomla/cache/storage.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:storage.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Cache
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/client/ftp.php 16/libraries/joomla/client/ftp.php
--- 15/libraries/joomla/client/ftp.php	2009-05-29 13:54:34.000000000 +0200
+++ 16/libraries/joomla/client/ftp.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: ftp.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: ftp.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Client
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software and parts of it may contain or be derived from the
 * GNU General Public License or other free or open source software licenses.
diff -aruN --binary 15/libraries/joomla/client/helper.php 16/libraries/joomla/client/helper.php
--- 15/libraries/joomla/client/helper.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/client/helper.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: helper.php 13341 2009-10-27 03:03:54Z ian $
+ * @version		$Id: helper.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Client
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software and parts of it may contain or be derived from the
  * GNU General Public License or other free or open source software licenses.
diff -aruN --binary 15/libraries/joomla/client/ldap.php 16/libraries/joomla/client/ldap.php
--- 15/libraries/joomla/client/ldap.php	2009-07-23 03:25:36.000000000 +0200
+++ 16/libraries/joomla/client/ldap.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,10 +1,10 @@
 <?php
 
 /**
-* @version		$Id: ldap.php 12543 2009-07-23 01:47:21Z ian $
+* @version		$Id: ldap.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Client
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software and parts of it may contain or be derived from the
 * GNU General Public License or other free or open source software licenses.
diff -aruN --binary 15/libraries/joomla/database/database/mysqli.php 16/libraries/joomla/database/database/mysqli.php
--- 15/libraries/joomla/database/database/mysqli.php	2009-05-29 13:54:28.000000000 +0200
+++ 16/libraries/joomla/database/database/mysqli.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: mysqli.php 11316 2008-11-27 03:11:24Z ian $
+* @version		$Id: mysqli.php 16385 2010-04-23 10:44:15Z ian $
 * @package		Joomla.Framework
 * @subpackage	Database
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -228,7 +228,7 @@
 		// Take a local copy so that we don't modify the original query and cause issues later
 		$sql = $this->_sql;
 		if ($this->_limit > 0 || $this->_offset > 0) {
-			$sql .= ' LIMIT '.$this->_offset.', '.$this->_limit;
+			$sql .= ' LIMIT ' . max($this->_offset, 0) . ', ' . max($this->_limit, 0);
 		}
 		if ($this->_debug) {
 			$this->_ticker++;
diff -aruN --binary 15/libraries/joomla/database/database/mysql.php 16/libraries/joomla/database/database/mysql.php
--- 15/libraries/joomla/database/database/mysql.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/database/mysql.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: mysql.php 11316 2008-11-27 03:11:24Z ian $
+* @version		$Id: mysql.php 16385 2010-04-23 10:44:15Z ian $
 * @package		Joomla.Framework
 * @subpackage	Database
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -212,7 +212,7 @@
 		// Take a local copy so that we don't modify the original query and cause issues later
 		$sql = $this->_sql;
 		if ($this->_limit > 0 || $this->_offset > 0) {
-			$sql .= ' LIMIT '.$this->_offset.', '.$this->_limit;
+			$sql .= ' LIMIT ' . max($this->_offset, 0) . ', ' . max($this->_limit, 0);
 		}
 		if ($this->_debug) {
 			$this->_ticker++;
diff -aruN --binary 15/libraries/joomla/database/database.php 16/libraries/joomla/database/database.php
--- 15/libraries/joomla/database/database.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/database/database.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: database.php 12694 2009-09-11 21:03:02Z ian $
+* @version		$Id: database.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Database
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/recordset.php 16/libraries/joomla/database/recordset.php
--- 15/libraries/joomla/database/recordset.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/database/recordset.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: recordset.php 13341 2009-10-27 03:03:54Z ian $
+* @version		$Id: recordset.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Database
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/arogroup.php 16/libraries/joomla/database/table/arogroup.php
--- 15/libraries/joomla/database/table/arogroup.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/arogroup.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: arogroup.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: arogroup.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/aro.php 16/libraries/joomla/database/table/aro.php
--- 15/libraries/joomla/database/table/aro.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/aro.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: aro.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: aro.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/category.php 16/libraries/joomla/database/table/category.php
--- 15/libraries/joomla/database/table/category.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/category.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: category.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: category.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/component.php 16/libraries/joomla/database/table/component.php
--- 15/libraries/joomla/database/table/component.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/component.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: component.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: component.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/content.php 16/libraries/joomla/database/table/content.php
--- 15/libraries/joomla/database/table/content.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/content.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: content.php 11809 2009-05-13 16:09:23Z ian $
+* @version		$Id: content.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/menu.php 16/libraries/joomla/database/table/menu.php
--- 15/libraries/joomla/database/table/menu.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/menu.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: menu.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: menu.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/menutypes.php 16/libraries/joomla/database/table/menutypes.php
--- 15/libraries/joomla/database/table/menutypes.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/database/table/menutypes.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: menutypes.php 12698 2009-09-12 02:12:51Z ian $
+ * @version		$Id: menutypes.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Table
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/module.php 16/libraries/joomla/database/table/module.php
--- 15/libraries/joomla/database/table/module.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/module.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: module.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: module.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/plugin.php 16/libraries/joomla/database/table/plugin.php
--- 15/libraries/joomla/database/table/plugin.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/plugin.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: plugin.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: plugin.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Table
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/section.php 16/libraries/joomla/database/table/section.php
--- 15/libraries/joomla/database/table/section.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/section.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: section.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: section.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/session.php 16/libraries/joomla/database/table/session.php
--- 15/libraries/joomla/database/table/session.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/database/table/session.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: session.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version		$Id: session.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/database/table/user.php 16/libraries/joomla/database/table/user.php
--- 15/libraries/joomla/database/table/user.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/database/table/user.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: user.php 12694 2009-09-11 21:03:02Z ian $
+* @version		$Id: user.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Table
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
